---
id: 660f033cf051ebb50ea3bf48
title: Step 18
challengeType: 1
dashedName: step-18
---

# --description--

In programming, you will often need to work with lots of data. There are many data structures that can help you organize and manage your data. One of the most basic data structures is an <dfn>array</dfn>.

An <dfn>array</dfn> is a non-primitive data type that can hold a series of values. Non-primitive data types differ from primitive data types in that they can hold more complex data. Primitive data types like strings and numbers can only hold one value at a time.

Arrays are denoted using square brackets (`[]`). Here is an example of a variable with the value of an empty array:

```js
let array = [];
```

Declare a `rows` variable and assign it an empty array.

# --hints--

You should have a `rows` variable.

```js
assert.match(__helpers.removeJSComments(code), /rows/);
```

You should use `let` to declare your `rows` variable.

```js
assert.match(__helpers.removeJSComments(code), /let\s+rows/);
```

You should assign an empty array to your `rows` variable.

```js
assert.deepEqual(rows, []);
```


# --seed--

## --seed-contents--

```js
--fcc-editable-region--
let character = 'Hello';
let count = 8;

--fcc-editable-region--
```
